%define	major 0
%define libname %mklibname udns %{major}
%define develname %mklibname udns -d

Summary:	DNS Resolver Library
Name:		udns
Version:	0.4
Release:	%mkrel 5
Group:		Networking/Other
License:	LGPLv2+
URL:		https://www.corpit.ru/mjt/udns.html
Source0:	https://www.corpit.ru/mjt/udns/%{name}-%{version}.tar.gz
BuildConflicts:	%{name}-devel

%description
UDNS is a stub DNS resolver library with ability to perform both synchronous and
asynchronous DNS queries.

%package -n	%{libname}
Summary:	DNS Resolver Library
Group:          System/Libraries

%description -n	%{libname}
UDNS is a stub DNS resolver library with ability to perform both synchronous and
asynchronous DNS queries.

This package contains the shared UDNS library.

%package -n	%{develname}
Summary:	Static library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
UDNS is a stub DNS resolver library with ability to perform both synchronous and
asynchronous DNS queries.

This package contains the static UDNS library and its header files.

%prep

%setup -q

%build

./configure --enable-ipv6

make CFLAGS="%{optflags}" SOVER="%{major}" staticlib sharedlib
ln -snf libudns.so.%{major} libudns.so

gcc %{optflags} -DHAVE_CONFIG_H -o udns-rblcheck rblcheck.c -L. -ludns
gcc %{optflags} -DHAVE_CONFIG_H -o udns-dnsget dnsget.c -L. -ludns
#gcc %{optflags} -DHAVE_CONFIG_H -o udns-ex-rdns ex-rdns.c -L. -ludns

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man3

install -m0755 libudns.so.%{major} %{buildroot}%{_libdir}/
ln -snf libudns.so.%{major} %{buildroot}%{_libdir}/libudns.so
install -m0644 libudns.a %{buildroot}%{_libdir}/
install -m0644 udns.h %{buildroot}%{_includedir}/

install -m0755 udns-rblcheck %{buildroot}%{_bindir}/
install -m0755 udns-dnsget %{buildroot}%{_bindir}/

install -m0644 dnsget.1 %{buildroot}%{_mandir}/man1/udns-dnsget.1
install -m0644 rblcheck.1 %{buildroot}%{_mandir}/man1/udns-rblcheck.1
install -m0644 udns.3 %{buildroot}%{_mandir}/man3/

%files
%{_bindir}/udns-rblcheck
%{_bindir}/udns-dnsget
%{_mandir}/man1/udns-dnsget.1*
%{_mandir}/man1/udns-rblcheck.1*

%files -n %{libname}
%doc COPYING.LGPL NEWS NOTES TODO
%{_libdir}/libudns.so.%{major}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libudns.so
%{_libdir}/libudns.a
%{_mandir}/man3/udns.3*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.4-5.mga9
+ Revision: 1792714
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 zezinho <zezinho> 0.4-4.mga8
+ Revision: 1548502
- enable ipv6

* Fri Feb 14 2020 umeabot <umeabot> 0.4-3.mga8
+ Revision: 1517654
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1301496
- Mageia 7 Mass Rebuild

* Mon Aug 14 2017 daviddavid <daviddavid> 0.4-1.mga7
+ Revision: 1140307
- new version: 0.4

* Fri Feb 05 2016 umeabot <umeabot> 0.2-6.mga6
+ Revision: 939493
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-5.mga5
+ Revision: 745329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 690018
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 519873
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 384971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 dlucio <dlucio> 0.2-1.mga2
+ Revision: 202081
- imported package udns

